Bug 993887 - wt possibly affected by F-20 unversioned docdir change
wt possibly affected by F-20 unversioned docdir change
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wt (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Minar
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 08:56 EDT by Ville Skyttä
Modified: 2013-11-11 19:42 EST (History)
1 user (show)

See Also:
Fixed In Version: wt-3.3.1-0.1.rc1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 08:56:13 EDT
wt was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Fedora End Of Life 2013-09-16 12:15:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Michal Minar 2013-09-22 11:19:39 EDT
fixed
Comment 3 Ville Skyttä 2013-11-03 06:52:24 EST
Looks like this is indeed fixed in 3.3.1-0.1.rc1 and that has been built for F-20, but there's no update for that build and F-20 still has 3.3.0-4. What's the plan here?
Comment 4 Fedora Update System 2013-11-04 06:03:27 EST
wt-3.3.1-0.1.rc1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wt-3.3.1-0.1.rc1.fc20
Comment 5 Michal Minar 2013-11-04 06:06:58 EST
Thank you Ville for the reminder.
I've pushed it to updates testing, you can find a link in comment 4.
Comment 6 Fedora Update System 2013-11-04 12:50:49 EST
Package wt-3.3.1-0.1.rc1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wt-3.3.1-0.1.rc1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20578/wt-3.3.1-0.1.rc1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-11 19:42:57 EST
wt-3.3.1-0.1.rc1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.